Restore & PurgeZone Cache Purge

Zone Cache Purge

Purge cache of a HTTP push zone

curl -X POST "https://api.5centscdn.com/v2/zones/http/push/42/restore?delete=true" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "files": [
    "/videos/file.mp4",
    "/images/logo.png"
  ]
}'
{
  "result": "success",
  "message": "Zone Purged"
}
POST
/zones/http/push/{zoneid}/restore
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
filesarray

List of file paths to purge. Omit this field entirely (send an empty body) to purge the whole zone.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Query Parameters

deletestring
Example:
true

Body

application/json
filesarray

List of file paths to purge. Omit this field entirely (send an empty body) to purge the whole zone.

Example:
["/videos/file.mp4","/images/logo.png"]

Responses

resultstring

Status of the API response.

messagestring

Human-readable status or result message

Was this page helpful?